import M3._


assert(flts(Nil) == Nil)
assert(flts(ZERO::ZERO::Nil) == Nil)
assert(flts(ZERO::ONE::ZERO::ONE::Nil) == List(ONE, ONE))
assert(flts(ONE::ALTs(List(ONE))::ONE::Nil) == List(ONE, ONE, ONE))
assert(flts(ONE::ALTs(List(ONE))::ONE::ALTs(List(ONE))::Nil) == List(ONE, ONE, ONE, ONE))
